Bug 202748 - Clicking with the middle mouse button on the main menu causes application to crash
Clicking with the middle mouse button on the main menu causes application to ...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: openmotif (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-16 05:09 EDT by helmut-stark
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 04:40:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description helmut-stark 2006-08-16 05:09:37 EDT
Description of problem:

As it can be seen in the following stack trace the application schedules the
previous peeked event via XtDispatchEvent. The problem exists with kwin and
xfce. We had to repress the middle mouse click for the main window.

#0  0x0040a8b1 in _XmConvertCSToString () from /usr/lib/libXm.so.4
(gdb) bt
#0  0x0040a8b1 in _XmConvertCSToString () from /usr/lib/libXm.so.4
#1  0x0040c56c in XmMapSegmentEncoding () from /usr/lib/libXm.so.4
#2  0x0040c7d9 in XmCvtXmStringToCT () from /usr/lib/libXm.so.4
#3  0x00378990 in _XmLabelConvert () from /usr/lib/libXm.so.4
#4  0x0044e4de in _XmConvertHandler () from /usr/lib/libXm.so.4
#5  0x0044ea5d in XmeDragSource () from /usr/lib/libXm.so.4
#6  0x003765e7 in _XmCBNameValueChanged () from /usr/lib/libXm.so.4
#7  0x002ccb11 in _XtDestroyTMData () from /usr/lib/libXt.so.6
#8  0x002cceea in _XtDestroyTMData () from /usr/lib/libXt.so.6
#9  0x002cd4d8 in _XtTranslateEvent () from /usr/lib/libXt.so.6
#10 0x002a4cf4 in XtDispatchEventToWidget () from /usr/lib/libXt.so.6
#11 0x002a547a in _XtSendFocusEvent () from /usr/lib/libXt.so.6
#12 0x002a4347 in XtDispatchEvent () from /usr/lib/libXt.so.6
#13 0x092e4043 in GIS::Application::scheduleNextEvent ()
#14 0x092e4447 in GIS::Application::peekAndProcess ()
#15 0x08120986 in OwguManager::timerTick ()
#16 0x08126709 in MemCallback<OwguManager, void, OSIS::Time const&,
void>::operator() ()
#17 0x0936fc55 in BasicTimerInfo::call ()
#18 0x0936fcb7 in BasicTimer::apply ()
#19 0x09370f65 in MemCallback<BasicTimer, bool, BasicTimerInfo&,
void>::operator() ()
#20 0x0937121b in std::list<BasicTimerInfo, std::allocator<BasicTimerInfo>
>::remove_if<Callback<bool, BasicTimerInfo&, void> > ()
#21 0x0937000a in BasicTimer::tick ()
#22 0x09366122 in BasicShell::handleTick ()
#23 0x0936b2d9 in BasicShell::start ()
---Type <return> to continue, or q <return> to quit---
#24 0x080b8cd1 in BasicMain<BasicSimpleInit<OwguManager> >::main ()
#25 0x080b8773 in main ()
(gdb)


Version-Release number of selected component (if applicable):
openmotif-2.3.0-0.1.9.3


How reproducible:
Steps to Reproduce:
Just click with middle mouse button
Comment 1 Dmitry Bolkhovityanov 2007-04-12 03:04:36 EDT
We also have the same problem, but its is MUCH wider than stated in Helmut
Stark's bugreport.

First, this problem exists at least since Fedora Core 4.
Second, this problem exists with both OpenMotif *AND* LessTif.
Finally, it seems to be locale-related: in our case, it occurs ONLY with
non-en_US locale (we use ru_RU.KOI8-R) AND when application is locale-aware --
i.e., if it uses XtSetLanguageProc().  An example of such an application is
NEdit.  Various ways to reproduce: 1. Just click several times on a menubar with
a middle button; or 2. Use File|Open, and than click several times on a [Cancel]
button.

Thomas, should I file a separate bugreport against Lesstif?  Or, considering the
similarity -- should a bugreport be filed against some "locale" component?  If
"yes" -- which component?
Comment 2 Thomas Woerner 2007-08-30 04:40:30 EDT
Yes, please file a separate bugreport against Lesstif.

I am sorry, but openmotif has been dropped from Fedora and FC-5 is EOL.

Closing as "CANTFIX"

Note You need to log in before you can comment on or make changes to this bug.